**GitLab** is a Git-based repository manager and a powerful complete application for software development. 
With an **_"user-and-newbie-friendly"_** interface, GitLab allows you to work effectively, both from the command line and from the UI itself.